#ifdef _WIN32
# define WIN32_LEAN_AND_MEAN
# include <windows.h>

#else
# include <time.h>

#endif

#include <stdio.h>

#include "av_time.h"

int main(int argc, char **argv) {

#ifdef _WIN32
	SYSTEMTIME st;
	FILETIME ft;
	av_usecs us;

	memset(&st, 0, sizeof(st));
	st.wYear = 2000;
	st.wMonth = 1;
	st.wDay = 1;

	SystemTimeToFileTime(&st, &ft);

	printf("static av_usec win_epoch = 0x%08x%08x;\n",
	       ft.dwHighDateTime, ft.dwLowDateTime);

#else
	struct tm tm;

	memset(&tm, 0, sizeof(tm));
	tm.tm_year = 100;
	tm.tm_mday = 1;

	time_t t = mktime(&tm);

	printf("static time_t unix_epoch = %lu;\n",
	       t);

#endif

	return 0;
}

/*
 * Overrides for Emacs so that we follow Linux's tabbing style.
 * Emacs will notice this stuff at the end of the file and automatically
 * adjust the settings for this buffer only.  This must remain at the
 * end of the file.
 * ----------------------------------------------------------------------
 * Local Variables:
 * c-file-style: "linux"
 * End:
 */
