#!/usr/bin/env python

from distutils.core import setup, Extension

NAME = 'avdata'
VERSION = '0.2.6'
URL = 'http://www.wayforward.net/avdata/'

DESC = """Tools and libraries for extracting airports, runways, routes, waypoints,
and obstructions from United States FAA (Federal Aviation Administration) published
data."""

em = Extension("_avdata",
               sources=['avdata.c',
                        'av_db.c', 'av_time.c', 'av_nav.c', 'av_str.c',
                        'av_dir.c', 'av_mem.c', 'av_err.c', 'av_mag.c',
                        'igrf.c'],
               libraries=['z'])

setup(name=NAME,
      version=VERSION,
      description = "Aviation Data (routes, waypoints, fixes)",
      long_description = DESC,
      author = 'Terence Way',
      author_email = 'terry@wayforward.net',
      url = URL,
      download_url = URL + 'avdata-%s.tar.gz' % VERSION,
      license = 'Artistic; LGPL; Python Software Foundation License',
      classifiers = [
          'Intended Audience :: Developers',
          'Development Status :: 3 - Alpha',
          'License :: OSI Approved :: Artistic License',
          'License :: OSI Approved :: GNU Library or Lesser General Public License (LGPL)',
          'License :: OSI Approved :: Python Software Foundation License',
          'Programming Language :: Python',
          'Programming Language :: C'],
      py_modules = ['avdata'],
      ext_modules = [em])
